import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class LedgerConnectConfirmBody {
    render() {
        var _a, _b, _c;
        return (h("div", { key: '2e50cef5e36d49568c070d3f510a28b07ec5715e', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "address-section" }, h("div", { key: 'f28c5a4e5e8b3ea8fd7b56510ca1458247162450', class: "address-section" }, h("div", { key: '62e2505a0380564357c696c1b14c423148ac8ca0', class: "address-description" }, this.confirmScreenData.confirmAddressText), h("div", { key: '6b75c8b7cf6dfba88b3d736af2edc97593479602', class: "address-header" }, this.confirmScreenData.selectedAddress)), h("div", { key: '3308e51794f8a5eb94a33f7c97f38f92ef0cfc83', class: "address-section" }, h("div", { key: '41e1d91acbccff60eef4babf6e610253d7ee02f4', class: "address-description" }, (_a = this.confirmScreenData) === null || _a === void 0 ? void 0 : _a.authText), h("div", { key: 'ea607afe75c34117374a866ba135d1a101980328', class: "address-data" }, (_b = this.confirmScreenData) === null || _b === void 0 ? void 0 : _b.data), h("div", { key: 'a331afc5829ccae9e6c9c98d3e59afae9cdd4656', class: "address-description" }, (_c = this.confirmScreenData) === null || _c === void 0 ? void 0 : _c.areShownText)), h("div", { key: '5789b4b40d0cec56a54e33a91920e4e371ee739f', class: "address-footer" }, h("div", { key: 'e5fae47a8f0472e841a68c66c7b079dfbe8a5147' }, "Select Approve on your device to confirm."), h("div", { key: '4bed677c722db2965e26cbcb94a17994a933c63b' }, "Or, if it does not match, close this page and", ' ', h("a", { key: 'f0bcf6435d024b4263f3639da6584eeca83c42f1', href: "https://help.multiversx.com/en/", target: "_blank", rel: "noreferrer" }, "contact support"), "."))));
    }
    static get is() { return "ledger-confirm-screen"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-confirm-screen.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-confirm-screen.css"]
        };
    }
    static get properties() {
        return {
            "confirmScreenData": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IConfirmScreenData",
                    "resolved": "IConfirmScreenData",
                    "references": {
                        "IConfirmScreenData": {
                            "location": "import",
                            "path": "../../ledger-connect.types",
                            "id": "src/components/functional/ledger-connect-components/ledger-connect.types.ts::IConfirmScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=ledger-confirm-screen.js.map
