import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: 'a19bb45b564813a722ef99f10eee16f42a998f67', class: "balance-container" }, this.header && h("p", { key: '4471919d40cced01c1274e2b416515e9e7b48e83' }, this.header), h("div", { key: 'c56dd6638adbbcbc2fdd90c455f8cad5890529cd', class: "amount-container" }, h("span", { key: 'd44918251102164611776bb38c3abd55738fd820', class: "amount-value" }, this.amount), h("span", { key: '05645aef0787256be142e60b9f3adc468ef6c105', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'deb291941b4bc591328c8864239d1d9e0cb2aa8a' }, this.usdValue)));
    }
    static get is() { return "balance-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "amount",
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "ticker",
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "usd-value",
                "reflect": false
            },
            "header": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "header",
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
