import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
export class UnlockHeader {
    constructor() {
        this.closeIcon = faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (h("div", { key: '373faf0152503599b500b5c26d403d6de30638a4', class: 'header' }, this.backIcon && (h("button", { key: '1caf1142fb347a74732ab92bfae376c62fb0d6b4', class: "icon-button", onClick: this.handleBack }, h("fa-icon", { key: '88383715f71973384ad6c4322bfd65e397241b93', icon: this.backIcon }))), h("span", { key: '95c48bc9343a77c2edc451ebab48653142eb5b46', class: "title" }, this.text), h("button", { key: '32df06dee3644f82546797af2635bad9e664c870', class: "icon-button", onClick: this.handleClose }, h("fa-icon", { key: 'dd818da375bec8088d0b3893b9c22b5590b87b5a', icon: this.closeIcon }))));
    }
    static get is() { return "unlock-header"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["unlock-header.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["unlock-header.css"]
        };
    }
    static get properties() {
        return {
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "text",
                "reflect": false
            },
            "backIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "closeIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "faTimes"
            }
        };
    }
    static get events() {
        return [{
                "method": "back",
                "name": "back",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }, {
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=unlock-header.js.map
