import { r as registerInstance, h } from './index-fb899b9a.js';
import { s as state } from './signTransactionsPanelStore-6c815003.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: 'dfa150db4f23d113a9603a383edfb145db196105', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as token_component };

//# sourceMappingURL=token-component.entry.js.map