import { p as proxyCustomElement, H, h } from './p-3b962989.js';
import { b as faTimes, d as faInfoCircle } from './p-5a6c2a4d.js';
import { E as EventBus } from './p-9d530225.js';
import { S as SidePanelSideEnum, d as defineCustomElement$a } from './p-b25b8108.js';
import { d as defineCustomElement$d } from './p-d8d21369.js';
import { d as defineCustomElement$c } from './p-7a1c67a3.js';
import { d as defineCustomElement$b } from './p-8fbd65cf.js';
import { d as defineCustomElement$9 } from './p-5975b315.js';
import { d as defineCustomElement$8 } from './p-d9b8eca3.js';
import { d as defineCustomElement$7 } from './p-dafcbf81.js';
import { d as defineCustomElement$6 } from './p-07f8a261.js';
import { d as defineCustomElement$5 } from './p-76fe5bc8.js';
import { d as defineCustomElement$4 } from './p-27238ccb.js';
import { d as defineCustomElement$3 } from './p-daca2e1e.js';
import { d as defineCustomElement$2 } from './p-01cda8ab.js';

var NotificationsFeedEventsEnum;
(function (NotificationsFeedEventsEnum) {
    NotificationsFeedEventsEnum["CLOSE_NOTIFICATIONS_FEED"] = "CLOSE_NOTIFICATIONS_FEED";
    NotificationsFeedEventsEnum["CLEAR_NOTIFICATIONS_FEED_HISTORY"] = "CLEAR_NOTIFICATIONS_FEED_HISTORY";
    NotificationsFeedEventsEnum["OPEN_NOTIFICATIONS_FEED"] = "OPEN_NOTIFICATIONS_FEED";
    // Event to update the pending transactions list
    NotificationsFeedEventsEnum["PENDING_TRANSACTIONS_UPDATE"] = "PENDING_TRANSACTIONS_UPDATE";
    // Event to update the transactions history list
    NotificationsFeedEventsEnum["TRANSACTIONS_HISTORY_UPDATE"] = "TRANSACTIONS_HISTORY_UPDATE";
})(NotificationsFeedEventsEnum || (NotificationsFeedEventsEnum = {}));

const notificationsFeedCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.absolute{position:absolute}.relative{position:relative}.block{display:block}.flex{display:flex}.hidden{display:none}.border{border-width:1px}:host{display:block;height:100%}.feed-content{display:flex;flex-direction:column;height:100%;padding:24px 24px 0;position:relative}.feed-header{align-items:center;display:flex;justify-content:space-between;margin-bottom:16px}.feed-title{color:#000;font-size:24px;font-weight:500;margin:0}.close-button{align-items:center;background:none;border:none;cursor:pointer;display:flex;justify-content:center;padding:8px;position:absolute;right:24px;top:24px}.close-button:hover{opacity:.8}.close-button .close-icon{color:#000;font-size:24px}.notifications-info{align-items:center;border:1px dashed rgba(240,185,11,.3);border-radius:8px;color:#f0b90b;display:flex;font-size:14px;gap:8px;margin:0 0 24px;padding:16px}.notifications-info .info-icon{color:#f0b90b;font-size:16px}.notifications-container{margin-bottom:24px}.notifications-container .processing-status{color:#333;font-size:14px;margin-bottom:16px}.activity-section{display:flex;flex:1;flex-direction:column;margin:0 -24px 0 0;min-height:0}.activity-header{align-items:center;display:flex;justify-content:space-between;margin:0 24px 16px 0}.activity-header .activity-title{color:#000;font-size:20px;font-weight:500;margin:0}.activity-header .clear-button{background:none;border:none;color:#666;cursor:pointer;font-size:14px;padding:0}.activity-header .clear-button:hover{color:#000}.activity-list{flex:1;max-width:100%;min-height:0;overflow-x:hidden;overflow-y:auto;padding:0 24px 0 0;width:100%}.activity-list .no-activity{color:#666;padding:16px;text-align:center}.activity-list::-webkit-scrollbar{width:4px}.activity-list::-webkit-scrollbar-track{background:rgba(0,0,0,.05);border-radius:2px}.activity-list::-webkit-scrollbar-thumb{background:rgba(0,0,0,.2);border-radius:2px}.activity-list>*{box-sizing:border-box;max-width:100%;width:100%}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.fixed{position:fixed}";
const NotificationsFeedStyle0 = notificationsFeedCss;

const NotificationsFeed$1 = /*@__PURE__*/ proxyCustomElement(class NotificationsFeed extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.isOpen = false;
        this.pendingTransactions = [];
        this.transactionsHistory = [];
        this.eventBus = new EventBus();
        this.closeEventTimeout = null;
        this.handleClose = () => {
            this.isOpen = false;
            this.eventBus.publish(NotificationsFeedEventsEnum.CLOSE_NOTIFICATIONS_FEED);
        };
        this.handleClear = () => {
            this.eventBus.publish(NotificationsFeedEventsEnum.CLEAR_NOTIFICATIONS_FEED_HISTORY);
        };
        this.handleViewAll = () => {
            this.isOpen = true;
        };
    }
    clearTimeouts() {
        if (this.closeEventTimeout) {
            clearTimeout(this.closeEventTimeout);
            this.closeEventTimeout = null;
        }
    }
    disconnectedCallback() {
        this.clearTimeouts();
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.PENDING_TRANSACTIONS_UPDATE, this.pendingTransactionsUpdate.bind(this));
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.TRANSACTIONS_HISTORY_UPDATE, this.transactionsHistoryUpdate.bind(this));
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.OPEN_NOTIFICATIONS_FEED, this.handleViewAll.bind(this));
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        var _a, _b, _c;
        const hasActivity = ((_a = this.transactionsHistory) === null || _a === void 0 ? void 0 : _a.length) > 0;
        const hasPending = ((_b = this.pendingTransactions) === null || _b === void 0 ? void 0 : _b.length) > 0;
        return (h("side-panel", { key: 'beb5a50af755228b50dbb52bd69c56397fa1eeac', isOpen: this.isOpen, side: SidePanelSideEnum.RIGHT, onClose: this.handleClose }, h("div", { key: 'ba6eb7ef12bfe8f9ea6f11fbec264373f56e2d84', class: "feed-content" }, h("div", { key: '80dd63655dec15bc3932dd5c70cf6583ee93f04c', class: "feed-header" }, h("h2", { key: '63cb746bea5a4fb36d4572eeeab34320e71ac33f', class: "feed-title" }, "Notifications Feed"), h("button", { key: 'cac788c5e8a0969445b036507f5208515e507224', class: "close-button", onClick: this.handleClose }, h("fa-icon", { key: '9b87a1f5e2d4418bfd2da971b18e0d879ed95e95', class: "close-icon", icon: faTimes }))), h("div", { key: '316867e8a89cb5c3cd9bc065e23189620fb56d9d', class: "notifications-info" }, h("fa-icon", { key: '2cbf7f6c2a3b00e0e1208e0a12c13b736b28a257', class: "info-icon", icon: faInfoCircle }), "This feed is stored in your browser and will be reset when a new session is started."), hasPending && (h("div", { key: '42d378586071dcb8bca3c9573edb1e1dcef29f45', class: "notifications-container" }, h("div", { key: '3a4d274d820a0a7b8115363a598733e9336d1688', class: "processing-status" }, "Processing..."), (_c = this.pendingTransactions) === null || _c === void 0 ? void 0 :
            _c.map(toast => h("transaction-toast", Object.assign({}, toast))))), h("div", { key: 'b70a528a5e6f9369bcc8cb92707b34b6ab39ce9e', class: "activity-section" }, h("div", { key: 'ab0198e40e7c3d8a0cb8fd808d8ae3c55de836af', class: "activity-header" }, h("h3", { key: '231d6c386e59f7ccd8052755cc34dafe5947de87', class: "activity-title" }, "Activity"), hasActivity && (h("button", { key: '74cec8d1da6b0acf8a11009b61e777e23da81986', class: "clear-button", onClick: this.handleClear }, "Clear"))), h("div", { key: '24d42d3f7707f4b76dc2034c4dce3925bdec9cbc', class: "activity-list" }, hasActivity ? this.transactionsHistory.map(transaction => h("transaction-list-item", { transaction: transaction })) : h("div", { class: "no-activity" }, "No activity to show"))))));
    }
    pendingTransactionsUpdate(payload) {
        this.pendingTransactions = [...payload];
    }
    transactionsHistoryUpdate(payload) {
        this.transactionsHistory = [...payload];
    }
    componentDidLoad() {
        this.eventBus.subscribe(NotificationsFeedEventsEnum.PENDING_TRANSACTIONS_UPDATE, this.pendingTransactionsUpdate.bind(this));
        this.eventBus.subscribe(NotificationsFeedEventsEnum.TRANSACTIONS_HISTORY_UPDATE, this.transactionsHistoryUpdate.bind(this));
        this.eventBus.subscribe(NotificationsFeedEventsEnum.OPEN_NOTIFICATIONS_FEED, this.handleViewAll.bind(this));
    }
    static get style() { return NotificationsFeedStyle0; }
}, [1, "notifications-feed", {
        "isOpen": [32],
        "pendingTransactions": [32],
        "transactionsHistory": [32],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["notifications-feed", "copy-button", "explorer-link", "fa-icon", "side-panel", "transaction-list-item", "transaction-toast", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "notifications-feed":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NotificationsFeed$1);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "transaction-list-item":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const NotificationsFeed = NotificationsFeed$1;
const defineCustomElement = defineCustomElement$1;

export { NotificationsFeed, defineCustomElement };

//# sourceMappingURL=notifications-feed.js.map