import { p as proxyCustomElement, H, h } from './p-3b962989.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';

const ledgerConfirmScreenCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.absolute{position:absolute}.relative{position:relative}.address-section{font-size:16px;line-height:1.5;margin-top:40px;text-align:center}.address-section .address-description{color:#858688}.address-section .address-data{word-break:break-word}.address-section .address-data,.address-section .address-header{background-color:#ced4da;border-radius:8px;line-height:1;padding:12px;text-align:center}.address-footer{color:var(--gray-700);font-size:14px;line-height:1.5;margin-top:40px;padding-top:40px;position:relative}.address-footer:before{background-color:var(--gray-700);bottom:100%;content:\"\";height:1px;left:0;position:absolute;right:0}.address-footer a{color:var(--primary)}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.static{position:static}.visible{visibility:visible}.hidden{display:none}";
const LedgerConfirmScreenStyle0 = ledgerConfirmScreenCss;

const LedgerConnectConfirmBody = /*@__PURE__*/ proxyCustomElement(class LedgerConnectConfirmBody extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        var _a, _b, _c;
        return (h("div", { key: '2e50cef5e36d49568c070d3f510a28b07ec5715e', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "address-section" }, h("div", { key: 'f28c5a4e5e8b3ea8fd7b56510ca1458247162450', class: "address-section" }, h("div", { key: '62e2505a0380564357c696c1b14c423148ac8ca0', class: "address-description" }, this.confirmScreenData.confirmAddressText), h("div", { key: '6b75c8b7cf6dfba88b3d736af2edc97593479602', class: "address-header" }, this.confirmScreenData.selectedAddress)), h("div", { key: '3308e51794f8a5eb94a33f7c97f38f92ef0cfc83', class: "address-section" }, h("div", { key: '41e1d91acbccff60eef4babf6e610253d7ee02f4', class: "address-description" }, (_a = this.confirmScreenData) === null || _a === void 0 ? void 0 : _a.authText), h("div", { key: 'ea607afe75c34117374a866ba135d1a101980328', class: "address-data" }, (_b = this.confirmScreenData) === null || _b === void 0 ? void 0 : _b.data), h("div", { key: 'a331afc5829ccae9e6c9c98d3e59afae9cdd4656', class: "address-description" }, (_c = this.confirmScreenData) === null || _c === void 0 ? void 0 : _c.areShownText)), h("div", { key: '5789b4b40d0cec56a54e33a91920e4e371ee739f', class: "address-footer" }, h("div", { key: 'e5fae47a8f0472e841a68c66c7b079dfbe8a5147' }, "Select Approve on your device to confirm."), h("div", { key: '4bed677c722db2965e26cbcb94a17994a933c63b' }, "Or, if it does not match, close this page and", ' ', h("a", { key: 'f0bcf6435d024b4263f3639da6584eeca83c42f1', href: "https://help.multiversx.com/en/", target: "_blank", rel: "noreferrer" }, "contact support"), "."))));
    }
    static get style() { return LedgerConfirmScreenStyle0; }
}, [1, "ledger-confirm-screen", {
        "confirmScreenData": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["ledger-confirm-screen"];
    components.forEach(tagName => { switch (tagName) {
        case "ledger-confirm-screen":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConnectConfirmBody);
            }
            break;
    } });
}

export { LedgerConnectConfirmBody as L, defineCustomElement as d };

//# sourceMappingURL=p-f916643f.js.map