'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9564483d.js');
const dataTestIds_enum = require('./dataTestIds.enum-f00213b8.js');
const utils = require('./utils-b691ae1d.js');
const signTransactionsPanelStore = require('./signTransactionsPanelStore-ce3f256c.js');

const signTransactionComponentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: ;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: }/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.block{display:block}.flex{display:flex}.transform{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.border{border-width:1px}.underline{text-decoration-line:underline}*{box-sizing:border-box;margin:0;padding:0}.transaction-container{display:flex;flex-direction:column;gap:1rem;padding:0 1rem}.data-container,.receiver-container{align-items:flex-start;display:flex;flex-direction:column;gap:4px;line-height:1}.data-content-container{word-wrap:break-word;background-color:#f9f9f9;border:1px solid #ccc;border-radius:4px;color:#333;display:block;font-family:inherit;font-size:inherit;height:100px;min-height:100px;overflow-y:auto;padding:8px;white-space:pre-wrap;width:100%}.data-content{opacity:.6}.fee-container{align-items:flex-start;gap:4px;line-height:1}.fee-container,.sign-button-container{display:flex;flex-direction:column}.sign-back-button{background-color:transparent;border:none;border-radius:4px;color:#1a56db;cursor:pointer;display:inline-block;font-size:16px;padding:8px 12px;text-decoration:none;&:hover{color:#0033a0;text-decoration:underline}&:active{color:#001f70}&:disabled{background-color:#a1a1a1;box-shadow:none;color:#a1a1a1;color:#e0e0e0;cursor:not-allowed;opacity:.6;text-decoration:none;transform:none}}.sign-button{background-color:#1a56db;border:none;border-radius:8px;color:#fff;cursor:pointer;display:block;margin:0 auto;padding:12px;width:200px}.highlight{opacity:1}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}";
const SignTransactionComponentStyle0 = signTransactionComponentCss;

var __rest = (undefined && undefined.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
const SignTransaction = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getSignButtonProps() {
        const { needsSigning } = signTransactionsPanelStore.state.commonData;
        if (needsSigning) {
            return {
                'signText': 'Sign',
                'disabled': signTransactionsPanelStore.state.isWaitingForSignature,
                'data-testid': dataTestIds_enum.DataTestIdsEnum.signTransactionBtn,
                'onClick': signTransactionsPanelStore.state.onConfirm,
            };
        }
        return {
            'signText': 'Next',
            'disabled': false,
            'data-testid': dataTestIds_enum.DataTestIdsEnum.signNextTransactionBtn,
            'onClick': signTransactionsPanelStore.state.onConfirm,
        };
    }
    getBackButtonProps() {
        const { transactionsCount, currentIndex } = signTransactionsPanelStore.state.commonData;
        const isMultipleTransactions = transactionsCount > 1;
        if (!isMultipleTransactions) {
            return {};
        }
        if (currentIndex === 0) {
            return {
                'data-testid': dataTestIds_enum.DataTestIdsEnum.signCancelBtn,
                'backButtonText': 'Cancel',
                'onClick': signTransactionsPanelStore.state.onCancel,
            };
        }
        return {
            'data-testid': dataTestIds_enum.DataTestIdsEnum.signBackBtn,
            'backButtonText': 'Back',
            'onClick': signTransactionsPanelStore.state.onBack,
            'disabled': signTransactionsPanelStore.state.isWaitingForSignature,
        };
    }
    getHighlightedData() {
        const { data, highlight } = signTransactionsPanelStore.state.commonData;
        if (!highlight || !data) {
            return data;
        }
        const parts = data.split(highlight);
        return (index.h("span", null, parts.map((part, index$1) => (index.h("span", null, index.h("span", { class: "data-content" }, part), index$1 < parts.length - 1 && index.h("span", { class: "highlight" }, highlight))))));
    }
    render() {
        const { receiver, scCall } = signTransactionsPanelStore.state.commonData;
        const _a = this.getSignButtonProps(), { signText } = _a, signButtonProps = __rest(_a, ["signText"]);
        const _b = this.getBackButtonProps(), { backButtonText } = _b, backButtonProps = __rest(_b, ["backButtonText"]);
        const highlightedData = this.getHighlightedData();
        return (index.h("div", { key: 'd9bd7a009ce7f52fb81e671068804d56e8a6d861', class: "transaction-container" }, this.header, index.h("div", { key: 'c57dba43bef337d55ed0967a84c059dce8ccbbed', class: "receiver-container" }, index.h("p", { key: 'b5dccf6a6a6ce684c0ecb7e46d15808491d66a9b' }, "To"), index.h("p", { key: 'ccaf057175c0bab20f128a31a226499b3bf37c08' }, utils.formatAddress(receiver, 40))), index.h("transaction-fee-component", { key: 'd212113ea520752e1a56dbb93d4ced03da4d9276' }), scCall && (index.h("div", { key: 'c6e8adb947c4e3e656d3bef90a1d4f2b788686dc', class: "data-container" }, index.h("p", { key: '9a4847e2d932fdb68c69045d3c75bf3a0741151b' }, "Smart Contract Call"), index.h("div", { key: 'd2d2bbbfd8c00617a75d51c9b81bd6c8e84bef7e', class: "data-content-container" }, scCall))), index.h("div", { key: '1f52065465e8b565aa439b376add224fdd93b754', class: "data-container" }, index.h("p", { key: '7e0ac5c08f69f327611223919543b1b3cb2067e3' }, "Data"), index.h("div", { key: 'ab32e90b3221b6e231a23369667faf6b88898240', class: "data-content-container" }, highlightedData)), index.h("div", { key: 'c1ae71c748cedea40dc47ad99cb9d3a419f39e46', class: "sign-button-container" }, index.h("button", Object.assign({ key: '96b8ff20a4951d5e79c913465a6e12b188528fd3', class: "sign-button" }, signButtonProps), signText), backButtonText && (index.h("button", Object.assign({ key: '369de90c978e474b013d44abaaf2a11b0ddcfedd', class: "sign-back-button" }, backButtonProps), backButtonText)))));
    }
};
SignTransaction.style = SignTransactionComponentStyle0;

const transactionFeeComponentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.absolute{position:absolute}.relative{position:relative}.flex{display:flex}.hidden{display:none}.border{border-width:1px}.transition{transition-duration:.15s;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}*{box-sizing:border-box;margin:0;padding:0}.transaction-fee-container{align-items:flex-start;background:var(--white);border-radius:8px;display:flex;flex-direction:column;gap:4px;line-height:1;padding:16px}.fee-header{align-items:center;display:flex;justify-content:space-between;margin-bottom:8px}.edit-button{background:none;border:none;color:var(--text-secondary);cursor:pointer;padding:4px}.edit-button:hover{color:var(--text-primary)}.gas-options{background:#f8f9fa;border-radius:8px;border-top:1px solid var(--border-color);margin-top:16px;padding:1rem;width:100%}.top-section{align-items:center;display:flex;justify-content:space-between;margin-bottom:1rem}.gas-limit-section .label,.gas-price-section .label{color:#6c757d;font-size:.875rem;margin-bottom:.25rem}.gas-limit-section .value,.gas-price-section .value{align-items:center;color:#212529;display:flex;font-size:1rem;font-weight:500;margin:0}.gas-limit-section{border-top:1px solid #dee2e6;padding-top:1rem}.radio-group{border:1px solid #dee2e6;border-radius:4px;display:inline-flex;margin-left:12px;overflow:hidden}.radio-option{position:relative}.radio-option input[type=radio]{height:0;opacity:0;position:absolute;width:0}.radio-option input[type=radio]:checked+label{background:#0d6efd;color:#fff}.radio-option label{border-right:1px solid #dee2e6;cursor:pointer;display:inline-block;font-size:12px;padding:4px 8px;transition:all .2s ease}.radio-option label:hover{background:#e9ecef}.radio-option:last-child label{border-right:none}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}";
const TransactionFeeComponentStyle0 = transactionFeeComponentCss;

const TransactionFeeComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            signTransactionsPanelStore.state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = signTransactionsPanelStore.state.commonData;
        return (index.h("div", { key: 'b57318b69d0919e2e14116ed7d3c0c37521cab0f', class: "transaction-fee-container" }, index.h("div", { key: 'b7ebd74890f1c4d547e89b76d8c04a1a8cb278cd', class: "fee-header" }, index.h("p", { key: 'ceaa12935d5a9bd4ce1d4dee0f809ba07325ddc9' }, "Transaction fee"), isEditable && (index.h("button", { key: '43bdad306cbf0e4511047206a23a5e4b97c2b680', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (index.h("p", { key: '32434efec8032850b93a9c9bf0cdc559741634a8' }, index.h("span", { key: '913f9becc19f3befcbc6f4e96be27ed5c69fe92f' }, feeLimit), "\u00A0", index.h("span", { key: '735bbf14d61fa0fdee7b93ee4a6157a1a3c1f444' }, egldLabel))), index.h("p", { key: 'e9c957f3905d4175b311202ea330f2bee58ae385' }, "\u2248", feeInFiatLimit), this.showGasOptions && (index.h("div", { key: 'c644dde973f3edd9142180ec24bbc841d2f57618', class: "gas-options" }, index.h("div", { key: 'a99f5252a9ae8ec0d0b925df1239647f1553ca90', class: "top-section" }, index.h("div", { key: '9f7286d77376d3b0527b333fc5b18b1d361f5478', class: "gas-price-section" }, index.h("div", { key: '5acab8a0dd2da79a4268ca06bb2212d51c7499d2', class: "label" }, "Gas Price"), index.h("div", { key: 'b3a71cdebfc953fa8305e7145c65e3e906cea5e5', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (index.h("div", { key: '5eb2536ebb03f5124d797dedc89987fbd648df12', class: "radio-group" }, ppuOptions.map(option => (index.h("div", { class: "radio-option" }, index.h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), index.h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), index.h("div", { key: 'ed8d28ce3864dd9774f55680422e12a194de4550', class: "gas-limit-section" }, index.h("div", { key: 'a7b3ae44dbdcdf4619ef481de37cd1594be951f2', class: "label" }, "Gas Limit"), index.h("div", { key: '5c881798325e493129bc4c5cb196327ad14c9176', class: "value" }, gasLimit))))));
    }
};
TransactionFeeComponent.style = TransactionFeeComponentStyle0;

exports.sign_transaction_component = SignTransaction;
exports.transaction_fee_component = TransactionFeeComponent;

//# sourceMappingURL=sign-transaction-component_2.cjs.entry.js.map