import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class LedgerConnectScreen {
    render() {
        var _a, _b, _c, _d;
        return (h("div", { key: 'd19899b8ae42f6b72f2ca82480016395498530a9' }, ((_a = this.connectScreenData) === null || _a === void 0 ? void 0 : _a.error) && h("p", { key: '13a6881774acb3362f9602154e6a8d0f0b555341' }, this.connectScreenData.error), ((_b = this.connectScreenData) === null || _b === void 0 ? void 0 : _b.customContentMarkup) && ((_c = this.connectScreenData) === null || _c === void 0 ? void 0 : _c.customContentMarkup), h("button", { key: '1aee76104be8ceb1dbbde8a1f6c7939d49414d45', "data-testid": DataTestIdsEnum.ledgerConnectBtn, class: "access-button", onClick: () => this.connect.emit(), disabled: (_d = this.connectScreenData) === null || _d === void 0 ? void 0 : _d.disabled }, "Connect Ledger"), h("a", { key: '72ab51f4e2e7c8be9a9ad64b668ab58d3c755b15', href: "https://support.ledger.com/hc/en-us/articles/115005165269-Connection-issues-with-Windows-or-Linux", target: "_blank", rel: "noopener noreferrer", class: "connection-link" }, "Having connection issues?")));
    }
    static get is() { return "ledger-connect-screen"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-connect-screen.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-connect-screen.css"]
        };
    }
    static get properties() {
        return {
            "connectScreenData": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IConnectScreenData",
                    "resolved": "IConnectScreenData",
                    "references": {
                        "IConnectScreenData": {
                            "location": "import",
                            "path": "../../ledger-connect.types",
                            "id": "src/components/functional/ledger-connect-components/ledger-connect.types.ts::IConnectScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "connect",
                "name": "connect",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=ledger-connect-screen.js.map
