import { r as registerInstance, h } from './index-fb899b9a.js';
import { f as faTimes } from './index-41c4d4cc.js';
import { c as classNames } from './index-097075ad.js';

const TransactionIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.iconInfo) {
            return null;
        }
        return (h("fa-icon", { class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }, this.class, 'transaction-icon'), icon: this.iconInfo.icon, description: this.iconInfo.tooltip }));
    }
};

export { TransactionIcon as transaction_icon };

//# sourceMappingURL=transaction-icon.entry.js.map