import { p as proxyCustomElement, H, h, F as Fragment } from './p-3b962989.js';
import { c as classNames } from './p-12360e4c.js';

const transactionToastProgressCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.fixed{position:fixed}.absolute{position:absolute}.relative{position:relative}.block{display:block}.flex{display:flex}.hidden{display:none}.transition{transition-duration:.15s;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}@keyframes progressiveFixedWidthExpansion{0%{width:min(var(--start-width,0%),80%)}to{width:80%}}@keyframes progressiveInfiniteWidthExpansion{0%{width:min(var(--start-width,0%),100%)}to{width:100%}}@keyframes quickWidthExpansion{0%{width:0}to{width:100%}}.transaction-toast-progress{border-radius:.25rem;display:block;height:100%;overflow:hidden;position:relative;width:100%}.transaction-toast-bar-wrapper{background-color:#d3d3d3;border-radius:.25rem;bottom:0;display:flex;flex-direction:row-reverse;left:0;opacity:25%;overflow:hidden;pointer-events:none;position:absolute;right:0;top:0;transition:opacity .25s ease-in}.transaction-toast-bar{bottom:0;height:100%;right:0;top:0}.transaction-toast-bar.fixed{animation-duration:var(--animation-duration,6s);animation-fill-mode:forwards;animation-name:progressiveFixedWidthExpansion;animation-timing-function:cubic-bezier(.5,.95,0,.35);background-color:#fff;width:min(var(--start-width,0%),50%)}.transaction-toast-bar.infinite{display:flex;flex-direction:row-reverse;width:20%}.transaction-toast-bar.infinite .transaction-toast-bar-line{animation-delay:var(--animation-delay,6s);animation-duration:var(--animation-duration,60s);animation-fill-mode:forwards;animation-name:progressiveInfiniteWidthExpansion;animation-timing-function:cubic-bezier(.1,.95,.25,.75);background-color:#fff;height:100%;position:relative;width:0}.transaction-toast-bar.infinite .transaction-toast-bar-line:before{background-color:#fff;bottom:0;content:\"\";position:absolute;right:-1px;top:0;width:2px}.transaction-toast-bar.fill{background-color:#fff;position:absolute;width:0}.transaction-toast-bar.fill.animate{animation:quickWidthExpansion .25s linear forwards}.transaction-toast-bar-content{position:relative;z-index:1}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.\\!container{width:100%!important}.container{width:100%}@media (min-width:640px){.\\!container{max-width:640px!important}.container{max-width:640px}}@media (min-width:768px){.\\!container{max-width:768px!important}.container{max-width:768px}}@media (min-width:1024px){.\\!container{max-width:1024px!important}.container{max-width:1024px}}@media (min-width:1280px){.\\!container{max-width:1280px!important}.container{max-width:1280px}}@media (min-width:1536px){.\\!container{max-width:1536px!important}.container{max-width:1536px}}";
const TransactionToastProgressStyle0 = transactionToastProgressCss;

const DEFAULT_INFINITE_ANIMATION_DURATION = 30;
const ToastProgress = /*@__PURE__*/ proxyCustomElement(class ToastProgress extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.currentTimestamp = Date.now() / 1000;
        this.hasTimeElapsed = false;
        this.expectedTransactionDuration = 0;
        this.secondsPassedSinceStart = 0;
        this.shouldShowProgressBar = false;
        this.percentagePassedSinceStart = 0;
        this.shouldQuickFill = false;
        this.infiniteProgressDelay = 0;
        this.infinitePercentagePassedSinceStart = 0;
        this.infinitePercentageAnimationDuration = DEFAULT_INFINITE_ANIMATION_DURATION + (this.endTime - this.startTime) * 2;
    }
    componentWillLoad() {
        this.updateProgress();
    }
    handleTimeChange() {
        this.updateProgress();
    }
    updateProgress() {
        this.shouldShowProgressBar = Boolean(this.endTime) && Boolean(this.startTime);
        if (!this.shouldShowProgressBar) {
            this.shouldQuickFill = true;
            this.timeElapsedTimeoutReference = setTimeout(() => (this.hasTimeElapsed = true), 500);
            return;
        }
        this.currentTimestamp = Date.now() / 1000;
        this.expectedTransactionDuration = this.endTime - this.startTime;
        this.secondsPassedSinceStart = this.currentTimestamp - this.startTime;
        this.percentagePassedSinceStart = this.expectedTransactionDuration > 0 ? (this.secondsPassedSinceStart / this.expectedTransactionDuration) * 100 : 0;
        this.infiniteProgressDelay = Math.max(0, this.expectedTransactionDuration - this.secondsPassedSinceStart);
        this.infinitePercentagePassedSinceStart = (this.secondsPassedSinceStart / (this.expectedTransactionDuration + this.infinitePercentageAnimationDuration)) * 100;
    }
    disconnectedCallback() {
        if (this.timeElapsedTimeoutReference) {
            clearTimeout(this.timeElapsedTimeoutReference);
        }
    }
    render() {
        return (h(Fragment, { key: '91a262c7f8c9a132492eaf4c3eceeb454b57afe0' }, h("div", { key: '2616336b0e57d8c915cf0f15b2048d1954b7f019', class: "transaction-toast-bar-wrapper", style: { opacity: this.hasTimeElapsed ? '0' : '1' } }, h("div", { key: 'f463338b40c2e541bf29f18479c9003b222dee1f', class: "transaction-toast-bar fixed", style: {
                '--animation-duration': `${this.expectedTransactionDuration}s`,
                '--start-width': `${this.percentagePassedSinceStart}%`,
            } }), h("div", { key: 'c123f1e0e9330a14b61f6afb476fc4d2a5411755', class: "transaction-toast-bar infinite" }, h("div", { key: '58b55513dd3e2e0491e27eeaa233f5db9466374a', class: "transaction-toast-bar-line", style: {
                '--start-width': `${this.infinitePercentagePassedSinceStart}%`,
                '--animation-duration': `${this.infinitePercentageAnimationDuration}s`,
                '--animation-delay': `${this.infiniteProgressDelay}s`,
            } })), h("div", { key: 'b65b3ee8226c6688927b0003a38db42eb52eb640', class: classNames('transaction-toast-bar fill', {
                animate: this.shouldQuickFill,
            }) })), h("div", { key: 'f1442b8af0533abbfb1d95d0ae9b4b8fb145c9dc', class: "transaction-toast-bar-content" }, h("slot", { key: '2d13b2392e0cfd4638609b53a7b33520e874a84e' }))));
    }
    static get watchers() { return {
        "startTime": ["handleTimeChange"],
        "endTime": ["handleTimeChange"]
    }; }
    static get style() { return TransactionToastProgressStyle0; }
}, [1, "transaction-toast-progress", {
        "startTime": [2, "start-time"],
        "endTime": [2, "end-time"],
        "currentTimestamp": [32],
        "hasTimeElapsed": [32],
        "expectedTransactionDuration": [32],
        "secondsPassedSinceStart": [32],
        "shouldShowProgressBar": [32],
        "percentagePassedSinceStart": [32],
        "shouldQuickFill": [32],
        "infiniteProgressDelay": [32],
        "infinitePercentagePassedSinceStart": [32],
        "infinitePercentageAnimationDuration": [32]
    }, undefined, {
        "startTime": ["handleTimeChange"],
        "endTime": ["handleTimeChange"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-progress"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ToastProgress);
            }
            break;
    } });
}

export { ToastProgress as T, defineCustomElement as d };

//# sourceMappingURL=p-27238ccb.js.map